<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xExportar($varForm) {
	$obj = new clsCXP_Pagar($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varEmp = (isset($varForm["ecod"]) && $varForm["ecod"]<>'')? $varForm["ecod"]:"NULL";
	$varPro = (isset($varForm["pcod"]) && $varForm["pcod"]<>'')? $varForm["pcod"]:"NULL";
	$varTip = (isset($varForm["tcod"]) && $varForm["tcod"]<>'')? $varForm["tcod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	
	$sql = "call spQuery_Cuentas_Pagar($varEmp, $varPro,  $varTip, $varIni, $varFin, NULL, NULL);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = $obj->varTitulo;	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXP_Pagar($var[0],$var[1],$var[2],$var[3],$var[4]);	
		
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	return $respuestaXajax;
	}

function xFormuPago($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXP_Pagar($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuPago($varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}

function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsCXP_Pagar($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXP_Pagar($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$varTabla.= $obj->FormuBusqueda();
		$varTabla.= "<div id=\"divDatos\">";
		//$varTabla.= $obj->GridDatos();		
		$varTabla.= "</div>";
		$respuestaXajax = new xajaxResponse();
		$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'seleccionar_empresa');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo_doc_compra');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuPago');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');

$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");

?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("pcod").value=="" && xajax.$("tcod").value=="" && xajax.$("fini").value=="" &&  xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'), varField, varOrder);		
			}
		}

	function xExportarJS() {
		if (xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("pcod").value=="" && xajax.$("tcod").value=="" && xajax.$("fini").value=="" &&  xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}		
		}
	
	function xImprimirJS() {
		var varEmp = xajax.$("ecod").value;
		var varPro = xajax.$("pcod").value;
		var varTip = xajax.$("tcod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		
		if (xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("pcod").value=="" && xajax.$("tcod").value=="" && xajax.$("fini").value=="" &&  xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else {
			var Ruta = 'print/print_cxp_cuentas_x_pagar.php?ecod='+varEmp+'&pcod='+varPro+'&tcod='+varTip+'&fini='+varIni+'&ffin='+varFin;
			testwindow= window.open (Ruta, "print_cxp_cuentas_x_pagar", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=500");
			}		
		}
		
	function xGrabarJS() {
		var varPatronFec = "^([0-9]{2})/([0-9]{2})/([0-9]{4})$";
		var expreg = new RegExp (varPatronFec);	
	
		if (xajax.$("tipo") && xajax.$("tipo").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO DE PAGO");  
			xajax.$("tipo").focus();
			return (false); 
			}
		else if (xajax.$("txtnum") && xajax.$("txtnum").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NUMERO DE DOCUMENTO DE PAGO");  
			xajax.$("txtnum").focus();
			return (false); 
			}
		else if (expreg.test(xajax.$("femi").value)==false) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA VALIDA");
			xajax.$("femi").focus()
			return (false); 
			}
		else if (FechaEsMayor(xajax.$("txtemi").value, xajax.$("femi").value)){	
			alert("ERROR AL PROCESAR DATOS...!!!!!\nLA FECHA DE PAGO NO PUEDE SER MENOR A LA FECHA DE EMISION DEL DOCUMENTO");
			xajax.$("femi").focus()
			return (false);
			}
		else if (xajax.$("txtpago") && xajax.$("txtpago").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN MONTO VALIDO");
			xajax.$("txtpago").focus()
			return (false); 
			}	
		else if (parseFloat(xajax.$("txtpago").value) > parseFloat(xajax.$("txtsal").value)) { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nEL MONTO A PAGAR ("+xajax.$("txtpago").value+") NO PUEDE SER MAYOR AL MONTO DEL SALDO ("+xajax.$("txtsal").value+")");
			xajax.$("txtpago").focus()
			return (false); 
			}
		else {
			if (confirm("¿DESE REGISTRAR EL PAGO?")) {
				xajax_xGrabar(xajax.getFormValues('form'));		
				}
			}
		}
		
	function xFormPagoJS(varCod) {
		UnTip();
		xajax_xFormuPago(varCod);		
		}
</script>
<?php	

function MyTable($obj, $Titulo, $Opcion, $Valor) {
	if(!isset($Opcion)) {
		echo "<div id=\"divForm\">";
		echo $obj->FormuBusqueda();
		echo "<div id=\"divDatos\">";
		//echo $obj->GridDatos();		
		echo "</div>";
		echo "</div>";
		}
	}
?>